%global __version__ 0.9924
Name:        perl-version
Epoch:       8
Version:     0.99.24
Release:     3
Summary:     Perl extension for Version Objects
License:     GPLv1+ or Artistic 1.0
URL:         https://metacpan.org/release/version
Source0:     https://cpan.metacpan.org/authors/id/J/JP/JPEACOCK/version-%{__version__}.tar.gz

BuildRequires: gcc make perl-generators perl
Requires:      perl perl(Carp)

%description
Version objects were added to Perl in 5.10. This module implements
version objects for older version of Perl and provides the version
object API for all versions of Perl. All previous releases before 0.74
are deprecated and should not be used due to incompatible API changes.
Version 0.77 introduces the new 'parse' and 'declare' methods to
standardize usage. You are strongly urged to set 0.77 as a minimum
in your code, e.g.
use version 0.77; # even for Perl v.5.10.0

%package help
Summary:    Man page for %{name}
BuildArch:  noarch

%description help
%{summary}.

%prep
%autosetup -n version-%{__version__}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc CHANGES README
%doc %{perl_vendorarch}/version.pod
%doc %{perl_vendorarch}/version/Internals.pod
%{perl_vendorarch}/auto/version/
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version/
%{perl_vendorarch}/version/*.pm

%files help
%{_mandir}/man3/version*.3*

%changelog
* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 8:0.99.24-3
- Change mod of files

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 8:0.99.24-2
- Adjust requires

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 8:0.99.24-1
- Package init
